Bug 164208 - [build] [patch] buildworld WITHOUT_OPENSSL stops at lib/libbsnmp/libbsnmp
Summary: [build] [patch] buildworld WITHOUT_OPENSSL stops at lib/libbsnmp/libbsnmp
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 9.0-RELEASE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Enji Cooper
URL:
Keywords:
Depends on:
Blocks: 191951
  Show dependency treegraph
 
Reported: 2012-01-16 17:30 UTC by Devin Teske
Modified: 2016-01-09 21:34 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (591 bytes, patch)
2012-01-16 17:30 UTC, Devin Teske
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Devin Teske 2012-01-16 17:30:09 UTC
When performing buildworld while specifying WITHOUT_OPENSSL, the all target fails during cc of snmpcrypto.c in contrib/bsnmp/lib. Output below:

$ make buildworld -DWITHOUT_OPENSSL
[snip]
===> lib/libbsnmp/libbsnmp (all)
[snip]
cc -I/usr/src/lib/libbsnmp/libbsnmp/../../../contrib/bsnmp/lib -DHAVE_E
RR_H -DHAVE_GETADDRINFO -DHAVE_STRLCPY -DHAVE_STDINT_H -DHAVE_INTTYPES_H -DQUADF
MT='"llu"' -DQUADXFMT='"llx"' -std=gnu99 -fstack-protector -Wsystem-headers -Wal
l -Wno-format-y2k -W -Wno-unused-parameter -Wstrict-prototypes -Wmissing-prototy
pes -Wpointer-arith -Wreturn-type -Wcast-qual -Wwrite-strings -Wswitch -Wshadow
-Wunused-parameter -Wcast-align -Wchar-subscripts -Winline -Wnested-externs -Wre
dundant-decls -Wold-style-definition -Wno-pointer-sign -c /usr/src/lib/libbsnmp/
libbsnmp/../../../contrib/bsnmp/lib/snmpcrypto.c
/usr/src/lib/libbsnmp/libbsnmp/../../../contrib/bsnmp/lib/snmpcrypto.c:371: erro
r: conflicting types for 'snmp_passwd_to_keys'
/usr/src/lib/libbsnmp/libbsnmp/../../../contrib/bsnmp/lib/snmp.h:273: error: pre
vious declaration of 'snmp_passwd_to_keys' was here
/usr/src/lib/libbsnmp/libbsnmp/../../../contrib/bsnmp/lib/snmpcrypto.c:384: erro
r: conflicting types for 'snmp_get_local_keys'
/usr/src/lib/libbsnmp/libbsnmp/../../../contrib/bsnmp/lib/snmp.h:274: error: pre
vious declaration of 'snmp_get_local_keys' was here
*** Error code 1

Fix: See attached patch.txt.

Patch attached with submission follows:
How-To-Repeat: 1. csup RELENG_9
2. cd /usr/src
3. make buildworld -DWITHOUT_OPENSSL

NOTE: You'll first stop at lib/libarchive making depend. Apply the patch from PR 164206 to make it past lib/libarchive

4. See above description for error output
Comment 1 devin.teske 2012-01-16 17:48:13 UTC
Typo in the original description.

	$ make -DWITHOUT_OPENSSL

should be

	$ make buildworld -DWITHOUT_OPENSSL

-- 
Devin

_____________
The information contained in this message is proprietary and/or confidential. If you are not the intended recipient, please: (i) delete the message and all copies; (ii) do not disclose, distribute or use the message in any manner; and (iii) notify the sender immediately. In addition, please be aware that any message addressed to our domain is subject to archiving and review by persons other than the intended recipient. Thank you.
Comment 2 Devin Teske freebsd_committer 2012-05-07 22:23:45 UTC
Responsible Changed
From-To: freebsd-bugs->dteske

Take.
Comment 3 Enji Cooper freebsd_committer 2016-01-09 21:34:08 UTC
This has been fixed already on stable/10:

------------------------------------------------------------------------
r276677 | ngie | 2015-01-04 16:12:47 -0800 (Sun, 04 Jan 2015) | 7 lines

MFC r276319:

  Fix the function signatures when MK_CRYPT == no for snmp_get_local_keys and
  snmp_passwd_to_keys

  Reported by: Beeblebrox <zaphod@berentweb.com>

I just MFCed it to stable/9:

$ svn log -c 293615
------------------------------------------------------------------------
r293615 | ngie | 2016-01-09 13:33:31 -0800 (Sat, 09 Jan 2016) | 7 lines

MFstable/10 r276677:

MFC r276319:

  Fix the function signatures when MK_CRYPT == no for snmp_get_local_keys and
  snmp_passwd_to_keys

------------------------------------------------------------------------